[PATCH 1/2] debian: bump Standards-Version to 4.3.0 (no changes needed)

classic Classic list List threaded Threaded
5 messages Options
Daniel Kahn Gillmor Daniel Kahn Gillmor
Reply | Threaded
Open this post in threaded view
|

[PATCH 1/2] debian: bump Standards-Version to 4.3.0 (no changes needed)

/usr/share/doc/debian-policy/upgrading-checklist.txt.gz suggests that
notmuch is already compliant with debian-policy 4.3.0.

Signed-off-by: Daniel Kahn Gillmor <[hidden email]>
---
 debian/control | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/debian/control b/debian/control
index 31d6471c..56849500 100644
--- a/debian/control
+++ b/debian/control
@@ -29,7 +29,7 @@ Build-Depends:
  gnupg <!nocheck>,
  bash-completion (>=1.9.0~),
  texinfo
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: https://notmuchmail.org/
 Vcs-Git: https://git.notmuchmail.org/git/notmuch -b release
 Vcs-Browser: https://git.notmuchmail.org/git/notmuch
--
2.20.1

_______________________________________________
notmuch mailing list
[hidden email]
https://notmuchmail.org/mailman/listinfo/notmuch
Daniel Kahn Gillmor Daniel Kahn Gillmor
Reply | Threaded
Open this post in threaded view
|

[PATCH 2/2] debian: Add appropriate substitution variables to debian/control

Without this change, dh_gencontrol emits:

dpkg-gencontrol: warning: package python-notmuch: substitution variable ${python:Provides} unused, but is defined
dpkg-gencontrol: warning: package python-notmuch: substitution variable ${python:Versions} unused, but is defined
dpkg-gencontrol: warning: package notmuch-mutt: substitution variable ${perl:Depends} unused, but is defined

Signed-off-by: Daniel Kahn Gillmor <[hidden email]>
---
 debian/control | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/debian/control b/debian/control
index 56849500..ff646c6b 100644
--- a/debian/control
+++ b/debian/control
@@ -77,6 +77,8 @@ Package: python-notmuch
 Architecture: all
 Section: python
 Depends: ${misc:Depends}, ${python:Depends}, libnotmuch5 (>= ${source:Version})
+Provides: ${python:Provides}
+XB-Python-Version: ${python:Versions}
 Description: Python interface to the notmuch mail search and index library
  Notmuch is a system for indexing, searching, reading, and tagging
  large collections of email messages in maildir or mh format. It uses
@@ -152,7 +154,8 @@ Depends:
  notmuch (>= 0.4),
  libmail-box-perl, libmailtools-perl,
  libstring-shellquote-perl, libterm-readline-gnu-perl,
- ${misc:Depends}
+ ${misc:Depends},
+ ${perl:Depends},
 Recommends: mutt
 Enhances: notmuch, mutt
 Description: thread-based email index, search and tagging (Mutt interface)
--
2.20.1

_______________________________________________
notmuch mailing list
[hidden email]
https://notmuchmail.org/mailman/listinfo/notmuch
Daniel Kahn Gillmor Daniel Kahn Gillmor
Reply | Threaded
Open this post in threaded view
|

Re: [PATCH 1/2] debian: bump Standards-Version to 4.3.0 (no changes needed)

In reply to this post by Daniel Kahn Gillmor
On Mon 2019-06-10 04:22:50 +0300, Daniel Kahn Gillmor wrote:
> /usr/share/doc/debian-policy/upgrading-checklist.txt.gz suggests that
> notmuch is already compliant with debian-policy 4.3.0.
>
> Signed-off-by: Daniel Kahn Gillmor <[hidden email]>

just wanted to note that i screwed up my own e-mail address in the
Signed-off-by: line here (sigh).  If you could fix that when merging,
i'd appreciate it.

           --dkg

_______________________________________________
notmuch mailing list
[hidden email]
https://notmuchmail.org/mailman/listinfo/notmuch

signature.asc (233 bytes) Download Attachment
David Bremner-2 David Bremner-2
Reply | Threaded
Open this post in threaded view
|

Re: [PATCH 1/2] debian: bump Standards-Version to 4.3.0 (no changes needed)

In reply to this post by Daniel Kahn Gillmor
Daniel Kahn Gillmor <[hidden email]> writes:

> /usr/share/doc/debian-policy/upgrading-checklist.txt.gz suggests that
> notmuch is already compliant with debian-policy 4.3.0.

series pushed to amster

d
_______________________________________________
notmuch mailing list
[hidden email]
https://notmuchmail.org/mailman/listinfo/notmuch
David Bremner-2 David Bremner-2
Reply | Threaded
Open this post in threaded view
|

Re: [PATCH 1/2] debian: bump Standards-Version to 4.3.0 (no changes needed)

In reply to this post by Daniel Kahn Gillmor
Daniel Kahn Gillmor <[hidden email]> writes:

> On Mon 2019-06-10 04:22:50 +0300, Daniel Kahn Gillmor wrote:
>> /usr/share/doc/debian-policy/upgrading-checklist.txt.gz suggests that
>> notmuch is already compliant with debian-policy 4.3.0.
>>
>> Signed-off-by: Daniel Kahn Gillmor <[hidden email]>
>
> just wanted to note that i screwed up my own e-mail address in the
> Signed-off-by: line here (sigh).  If you could fix that when merging,
> i'd appreciate it.

Sorry, missed that message.

d


_______________________________________________
notmuch mailing list
[hidden email]
https://notmuchmail.org/mailman/listinfo/notmuch